<!--
  Generated template for the AgendaPage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
<ion-header>

  <ion-navbar color="haldin-header" hideBackButton="true">
    <ion-buttons left>
      <button ion-button icon-only (click)="goBack()">
        <ion-icon name="arrow-back"></ion-icon>
      </button>
    </ion-buttons>
    <ion-title>
      <h3 style="margin-right: auto; margin-left: auto;"><span class="font-color-blue">Agenda</span></h3>
    </ion-title>
  </ion-navbar>

</ion-header>


<ion-content class="survey_bg">
  <div [hidden]=inputDisabled> 
	<ion-item>
	    <button ion-button color="light" (click)="close_calendar()">&nbsp;  <ion-icon name="close-circle"></ion-icon> &nbsp;</button>
		<button ion-button color="success" (click)="add_agenda()">&nbsp;  <ion-icon name="add-circle"></ion-icon> &nbsp; Tambah Agenda</button>
	</ion-item>
     <ionic-calendar-date-picker (onSelect)="dateSelected($event)" [notInCalendarStyle]="{'color': '#c5bfbf', 'font-weight': 'bold'}"></ionic-calendar-date-picker>
  </div>
  
   
  <div class="container">
  
  <div class="header">
    <div>
		<div class="color-overlay">
		  <div class="day-number">{{todo.tgl_pilih | date: 'dd'}}</div>
		  <div class="date-right">
			<div class="day-name">{{todo.tgl_pilih | date: 'MMMM'}}</div>
			<div class="month">{{todo.tgl_pilih | date: 'yyyy'}}</div>
		  </div>
		</div>
	</div>
	
	
    <button class="actionbutton" (click)="show_calendar()">+</button>
  </div>
 
  <div class="timeline"><br />
   <!--  <ul>
      <li *ngFor="let item of data_item">
        <div class="bullet green"></div>
        <div class="time">{{item.jam}}</div>
        <div class="desc">
          <h3>{{item.judul_agenda}}</h3>
          <h4>{{item.keterangan}}</h4>
        </div>
      </li>
    </ul> -->
	
	<ion-list>
		<ion-item *ngFor="let item of data_item">					  
		  <ion-label class="desc" (click)="detail_agenda(item.agenda_id)">
			<h3 text-wrap>{{item.judul_agenda}}</h3>
			<h3>Tanggal Agenda {{item.tanggal_mulai | date: 'dd-MM-yyyy'}}</h3> 
			<h4> {{item.jam}}</h4>
			<h3>{{item.keterangan}}</h3> 
			<h6>
				<div *ngIf="item.status_folowup=='0'"> {{item.sts_fw}} </div>
			</h6>
			<h6>
				<span *ngIf="item.status_folowup!='0'"> 
					<span *ngIf="item.status_folowup =='1'">
						Done
					</span>
					<span *ngIf="item.status_folowup =='2'">
						Cancel
					</span>								
				</span>
			</h6>
		  </ion-label>
		  
		  <div item-end>
				<button ion-button color="success" (click)="detail_agenda(item.agenda_id)">
				   <ion-icon name="share-alt"></ion-icon>
				</button>
		  </div>
		</ion-item>
	</ion-list> 
	
	<!-- <ul [hidden]=disview>
      <li *ngFor="let default of data_default">
        <div class="bullet green"></div>
        <div class="time">{{default.jam}}</div>
        <div class="desc">
          <h3>{{default.judul_agenda}}</h3>
          <h4>{{default.keterangan}}</h4>
        </div>
      </li>
    </ul> -->
	
	<ion-list [hidden]=disview>
		<ion-item *ngFor="let default of data_default">					  
		  <ion-label class="desc" (click)="detail_agenda(default.agenda_id)">
			<h3 text-wrap>{{default.judul_agenda}}</h3>
			<h3>Tanggal Agenda {{default.tanggal_mulai | date: 'dd-MM-yyyy'}}</h3> 
			<h4> {{default.jam}}</h4>
			<h3>{{default.keterangan}}</h3> 
			<h6>
				<div *ngIf="default.status_folowup=='0'"> {{default.sts_fw}} </div>
			</h6>
			<h6>
				<span *ngIf="default.status_folowup!='0'"> 
					<span *ngIf="default.status_folowup =='1'">
						Done
					</span>
					<span *ngIf="default.status_folowup =='2'">
						Cancel
					</span>								
				</span>
			</h6>
		  </ion-label>
		  
		  <div item-end>
				<button ion-button color="success" (click)="detail_agenda(default.agenda_id)">
				   <ion-icon name="share-alt"></ion-icon>
				</button>
		  </div>
		</ion-item>
	</ion-list>
  </div> 
</div>

</ion-content>

<ion-footer style="text-align: center;">
  <ion-toolbar>
    <ion-buttons>
      <button ion-button (click)="goBack()">
        <ion-icon name="home"></ion-icon>
      </button>
	  &nbsp;&nbsp;&nbsp;
      <button ion-button (click)="myProfile()">
        <ion-icon name="contact"></ion-icon>
      </button>
	  &nbsp;&nbsp;&nbsp;
      <button ion-button (click)="myHelp()">
        <ion-icon name="help-circle"></ion-icon>
      </button>
    </ion-buttons>
  </ion-toolbar>
</ion-footer>
